% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/imir.R
\name{imir}
\alias{imir}
\title{Imputation Indicator for Responded Items IMIR}
\usage{
imir(data, r1ij, bij, gij, obsi = 1:nrow(gij), varj = 1:ncol(gij), weight)
}
\arguments{
\item{data}{(mandatory): A dataframe containing the data to be processed.}

\item{r1ij}{(mandatory): A matrix containing the response indicators for a given dataframe.}

\item{bij}{(optional): A matrix containing the structurally missingness indicators. bij can be calculated using the function \code{\link[sdap]{smind}}. If the argument bij is missing, the indicator is calculated without considering a missingness indicators matrix.}

\item{gij}{(mandatory): A matrix containing the imputation indicators for a given dataframe. gij can be calculated using the function \code{\link[sdap]{impind}}.}

\item{obsi}{(optional): A vector with the observations in rij to be processed. If the argument obs is missing, all observations are processed.}

\item{varj}{(optional): A vector with the variables (column numbers) to be considered for the calculation. If the argument varj is missing, all variables are considered for the indicator.}

\item{weight}{(optional): A vector of weights to be considered when calculating the indicator. If no weight vector is given as an argument, the indicator is calculated without considering different weights.}
}
\value{
A list with the following elements: variables (variables), observations (observations), Number of imputations detected (imputations), Indicator IMIR (imir).
}
\description{
Version of imi() for responded items. The aggregated imputation impact for variable groups allows measuring the effect of imputations of values with original response on the distribution of categorical variables.
}
\author{
Beat Hulliger - Juan Berdugo
}

