% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/impind.R
\name{impind}
\alias{impind}
\title{Imputation Indicator}
\usage{
impind(data, imputedvars, imputationflags, gij, imp.ind = c(1, 2, 3))
}
\arguments{
\item{data}{(mandatory): A dataframe containing the data to be processed.}

\item{imputedvars}{(mandatory): A vector with the column numbers of the variables that are imputed. For variable groups use the function \code{\link[sdap]{rind}}.}

\item{imputationflags}{(mandatory): A vector with the column numbers of the imputation flags corresponding to the imputed variables. To calculate the vector use the function \code{\link[sdap]{flaggroup}}.}

\item{gij}{(optional): A matrix "gij" containing imputation indicators for each variable and observation.}

\item{imp.ind}{(optional): A vector with the values considered as imputation indicators. Defaults: 1, 2, 3}
}
\value{
A matrix "gij" containing imputation indicators for each variable and observation.
}
\description{
The imputation indicator function tests a dataframe vs a list of imputation indicators. The flags about the imputation are assumed already present on the dataframe. They may have different values while the output flag is binary.
}
\author{
Beat Hulliger, Juan Berdugo
}

