% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/imro.R
\name{imro}
\alias{imro}
\title{Imputation Ratio IMRO}
\usage{
imro(data, bij, gij, obsi = 1:nrow(data), varj = 1:ncol(data), weight)
}
\arguments{
\item{data}{(mandatory): A dataframe containing the data to be processed.}

\item{bij}{(optional): A matrix containing the structurally missingness indicators. bij can be calculated using the function \code{\link[sdap]{smind}}. If the argument bij is missing, the indicator irr is calculated without considering a misingness indicators matrix.}

\item{gij}{(mandatory): A matrix containing the imputation indicators for a given dataframe. gij can be calculated using the function \code{\link[sdap]{impind}}.}

\item{obsi}{(optional): A vector with the observations in rij to to be processed. If the argument obs is missing, all observations are processed.}

\item{varj}{(optional): A vector with the variables (column numbers) to be considered for the calculation. If the argument varj is missing, all variables are considered for the indicator.}

\item{weight}{(optional): A vector of weights to be considered when calculating the indicator. If no weight vector is given as an argument, the indicator is calculated without considering different weights.}
}
\value{
A list with the following elements: variables (variables), observations (observations), Number of imputations detected (imputations), Indicator IMRO (imro).
}
\description{
The imputation ratio measures the contribution of changed items to a final total. The numerator takes into account all values including the initial non-respondents which are not structurally missing.
}
\author{
Beat Hulliger - Juan Berdugo
}

