% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/imrr.R
\name{imrr}
\alias{imrr}
\title{Imputation Rate for responded items IMRR}
\usage{
imrr(r1ij, bij, gij, obsi = 1:nrow(gij), varj = 1:ncol(gij), weight)
}
\arguments{
\item{r1ij}{(mandatory): A matrix containing the response indicators for a given dataframe. r1ij can be calculated using the function \code{\link[sdap]{rind}}.}

\item{bij}{(optional): A matrix containing the structurally missingness indicators. bij can be calculated using the function \code{\link[sdap]{smind}}. If the argument bij is missing, the indicator irr is calculated without considering a misingness indicators matrix.}

\item{gij}{(mandatory): A matrix containing the imputation indicators for a given dataframe. gij can be calculated using the function \code{\link[sdap]{impind}}.}

\item{obsi}{(optional): A vector with the observations in r1ij to to be processed. If the argument obs is missing, all observations are processed.}

\item{varj}{(optional): A vector with the variables (column numbers) to be considered for the calculation. If the argument varj is missing, all variables are considered for the indicator.}

\item{weight}{(optional): A vector of weights to be considered when calculating the indicator. If no weight vector is given as an argument, the indicator is calculated without considering different weights.}
}
\value{
A list with the following elements: variables (variables), observations (observations), Indicator IMRR (imrr).
}
\description{
Version of (\code{\link[sdap]{imr}}) for responded items. Imputation rate due to changes in items which were initially responded. Indirect measure of the overall impact of the controls, i.e. of the error detection and localization followed by imputation.
}
\author{
Beat Hulliger - Juan Berdugo
}

