% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/iro.R
\name{iro}
\alias{iro}
\title{Item Response Ratio}
\usage{
iro(data, r1ij, bij, obsi = 1:nrow(data), varj = 1:ncol(bij), weight)
}
\arguments{
\item{data}{(mandatory): A dataframe containing the data to be processed.}

\item{r1ij}{(mandatory): A matrix containing the response indicators of dataset 1.}

\item{bij}{(optional): A matrix containing the structurally missingness indicators. bij can be calculated using the function \code{\link[sdap]{smind}}. If the argument bij is missing, the indicator irr is calculated without considering a misingness indicators matrix.}

\item{obsi}{(optional): A vector with the observations in rij to to be processed. If the argument obs is missing, all observations are processed.}

\item{varj}{(optional): A vector with the variables (column numbers) to be considered for the calculation. If the argument varj is missing, all variables are considered for the indicator.}

\item{weight}{(optional): A vector of weights to be considered when calculating the indicator. If no weight vector is given as an argument, the indicator is calculated without considering different weights.}
}
\value{
A list with the following elements: variables (variables), observations (observations), Indicator IMR (imr).
}
\description{
The item response ratio measures the impact of the missingness on the total of a variable in the final dataset (or in data sets where already a number of values have been imputed).
}
\author{
Beat Hulliger - Juan Berdugo
}

