% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/smind.R
\name{smind}
\alias{smind}
\title{Structural missingness indicator}
\usage{
smind(data, filtering_var, filtered_var, filter_values, positive = 0, bij)
}
\arguments{
\item{data}{(mandatory): A dataframe containing the data to be processed.}

\item{filtering_var}{(mandatory): Column numbers of the variables which determine the filter.}

\item{filtered_var}{(mandatory): Column numbers of the variables which are filtered.}

\item{filter_values}{(mandatory): Values to be checked against the filtering variables. e.g. c("",NA,1,-1, -2).}

\item{positive}{(optional): When positive = 0 (default) the filtered variables are considered structurally missing if \strong{all} of the filtering variables have a value among the filter values. When positive = 1, the filtered variables are considered structurally missing if \strong{any} of the filtered variables has a value among the filter values.}

\item{bij}{(optional): A preexisting structural missingness indicator matrix.}
}
\value{
A matrix bij which contains the missingness indicator for each element of the filtered variables, given a list of filtering variables and a list of filtered variables, as well as a list of structurally missingness elements.
}
\description{
Structurally missingness indicator creates a matrix bij which contains the structural missingness indicator for each element of a filtered variable group.
}
\author{
Beat Hulliger, Juan Berdugo
}

