% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/urr.R
\name{urr}
\alias{urr}
\title{Unit Response Rate}
\usage{
urr(rij, bij, obsi = 1:nrow(rij), varj = 1:ncol(rij), weight)
}
\arguments{
\item{rij}{(mandatory): A matrix containing the response indicators for a given dataframe. rij can be calculated using the function \code{\link[sdap]{rind}}.}

\item{bij}{(optional): A matrix containing the structurally missingness indicators. bij can be calculated using the function \code{\link[sdap]{smind}}. If the argument bij is missing, the indicator irr is calculated without considering a missingness indicators matrix.}

\item{obsi}{(optional): A vector with the observations in rij to be processed. If the argument obs is missing, all observations are processed.}

\item{varj}{(optional): A vector with the variables (column numbers) to be considered for the calculation. If the argument varj is missing, all variables are considered for the indicator.}

\item{weight}{(optional): A vector of weights to be considered when calculating the indicator. If no weight vector is given as an argument, the indicator is calculated without considering different weights.}
}
\value{
Proportion of data which can actually be used for analysis.
}
\description{
Unit response rate calculates the proportion of data which can actually be used for analysis.
}
\author{
Beat Hulliger
}

